// Created by Repex97

#include "normalization.h"

/*
    Definitions
*/

normalization_features_t n_features[2] = {

};

int normalize(ai_float * f, const size_t size){

    for(uint8_t i=0; i<size; i++){
        ai_float m = 2 / (n_features[i].max-n_features[i].min);
        ai_float q = 0 - ( 1 + m * n_features[i].min);
        f[i] = m * f[i] + q;
    }

    return 0;
}

